org.eclipse.rdf4j.repository.event

## Interface InterceptingRepositoryConnection

- All Superinterfaces:
    AutoCloseable, RepositoryConnection
  All Known Implementing Classes:
    InterceptingRepositoryConnectionWrapper

      public interface InterceptingRepositoryConnection
      extends RepositoryConnection

  Author:
    Herko ter Horst

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)` Registers a `RepositoryConnectionInterceptor` that will receive notifications of operations that are performed on this connection.
    `void` | `removeRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)` Removes a registered `RepositoryConnectionInterceptor` from this connection.

    - ### Methods inherited from interface org.eclipse.rdf4j.repository.RepositoryConnection

      `add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, add, begin, begin, begin, clear, clearNamespaces, close, commit, export, exportStatements, getContextIDs, getIsolationLevel, getNamespace, getNamespaces, getParserConfig, getRepository, getStatements, getStatements, getStatements, getValueFactory, hasStatement, hasStatement, hasStatement, isActive, isAutoCommit, isEmpty, isOpen, prepare, prepareBooleanQuery, prepareBooleanQuery, prepareBooleanQuery, prepareGraphQuery, prepareGraphQuery, prepareGraphQuery, prepareQuery, prepareQuery, prepareQuery, prepareTupleQuery, prepareTupleQuery, prepareTupleQuery, prepareUpdate, prepareUpdate, prepareUpdate, remove, remove, remove, remove, remove, remove, removeNamespace, rollback, setAutoCommit, setIsolationLevel, setNamespace, setParserConfig, size`

- - ### Method Detail

    - #### addRepositoryConnectionInterceptor

          void addRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)

      Registers a `RepositoryConnectionInterceptor` that will receive notifications of operations that are performed on this connection.

    - #### removeRepositoryConnectionInterceptor

          void removeRepositoryConnectionInterceptor(RepositoryConnectionInterceptor interceptor)

      Removes a registered `RepositoryConnectionInterceptor` from this connection.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.